Skip to main content
GET
/
billing
/
org
/
v1
/
erp-invoices
/
{id}
cURL
curl --request GET \
  --url https://api.gcore.com/billing/org/v1/erp-invoices/{id} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "name": "<string>",
  "move_type": "out_invoice",
  "currency": "<string>",
  "invoice_date": "2023-12-25",
  "invoice_date_due": "2023-12-25",
  "billing_period_from": "2023-12-25",
  "billing_period_to": "2023-12-25",
  "amount_untaxed": "<string>",
  "amount_tax": "<string>",
  "amount_total": "<string>",
  "payment_state": "not_paid",
  "client_id": -1,
  "payer_id": 123,
  "invoice_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

id
integer
required

Response

Request successful.

External-facing serializer that excludes internal ERP identifiers.

id
integer
required
name
string
required

Invoice number, e.g. INV/2026/00001

move_type
enum<string>
required
  • out_invoice - out_invoice
  • out_refund - out_refund
Available options:
out_invoice,
out_refund
currency
string
required

Currency code: USD, EUR, etc.

invoice_date
string<date> | null
required
invoice_date_due
string<date> | null
required
billing_period_from
string<date> | null
required
billing_period_to
string<date> | null
required
amount_untaxed
string<decimal>
required

Amount without tax

Pattern: ^\d{1,3}\.\d{12}$
amount_tax
string<decimal>
required

Tax amount

Pattern: ^\d{1,3}\.\d{12}$
amount_total
string<decimal>
required

Total amount with tax

Pattern: ^\d{1,3}\.\d{12}$
payment_state
enum<string>
required
  • not_paid - not_paid
  • paid - paid
  • partial - partial
  • reversed - reversed
  • in_payment - in_payment
Available options:
not_paid,
paid,
partial,
reversed,
in_payment
client_id
integer
required

ID of client in API service

Required range: -2147483648 <= x <= 2147483647
payer_id
integer
required
invoice_id
integer | null
required

Linked billing system invoice

created_at
string<date-time>
required
updated_at
string<date-time>
required